spring:
  main:
    lazy-initialization: true
    banner-mode: off

--- #################### 数据库相关配置 ####################

spring:
  datasource:
    name: zt-base
    url: jdbc:h2:mem:testdb;MODE=MYSQL;DATABASE_TO_UPPER=false;NON_KEYWORDS=value
    driver-class-name: org.h2.Driver
    username: sa
    password:
    druid:
      async-init: true
      initial-size: 1
  sql:
    init:
      schema-locations: classpath:/sql/create_tables.sql

  data:
    redis:
      host: 127.0.0.1
      port: 16379
      database: 0

mybatis-plus:
  lazy-initialization: true
  type-aliases-package: ${zt.info.base-package}.dal.dataobject
  global-config:
    db-config:
      id-type: AUTO

zt:
  info:
    base-package: com.zt.plat.module.base
  AES:
    key: XDV71a+xqStEA3WH
